<?


// ************************************ jika post serial tidak kosong *******************************
	if (trim(strip_tags($_POST['pincardpec']))!=''){
	$pincardpec=trim(strip_tags(strtoupper($_POST['pincardpec'])));  
// ************************************ jika data PIN tidak kosong **********************************
	if (trim(strip_tags($_POST['pincardpec']))!=''){  
    $pincardpec=trim(strip_tags(strtoupper($_POST['pincardpec'])));
	$ambilserialpin = "select * from card where pin='$pincardpec'";
	$lihatserialpin = mysql_query($ambilserialpin);
	$tampilserialpin=mysql_fetch_array($lihatserialpin);
	$adaserialpin = mysql_num_rows($lihatserialpin);
	
	
// ************************************ jika post SERIAL & PIN SAMA **********************************
	if ($adaserialpin == 1) {
// *************************** jika data SERIAL & PIN belum dipakai **********************************
	if ($tampilserialpin[4] == 0) {
    $tanggal=date("d-m-Y");
	$idcard=$tampilserialpin[0];
	$pincardpec=$tampilserialpin[1];
	$pincardpec=$tampilserialpin[2];
	$idmlmcard=$tampilserialpin[3];
	$status=$tampilserialpin[4];
	$tanggalgeneratecard=$tampilserialpin[5];
	$tglaktivasicard=$tampilserialpin[6];
	$dealercard=$tampilserialpin[7];
    mysql_free_result($lihatserialpin);
// ************************************ jika post sponsor tidak kosong *********************************
	if (trim(strip_tags($_POST['sponsorepositive']))!=''){
	$sppecanda=trim(strip_tags(strtoupper($_POST['sponsorepositive'])));
	$ambilsponsor = "select * from banner_kanan where username='$sppecanda' and status='1'";
	$lihatsponsor = mysql_query($ambilsponsor);
	$tampilsponsor=mysql_fetch_array($lihatsponsor);
	$adasponsor = mysql_num_rows($lihatsponsor);
// ********************************** jika post sponsor sama dengan DB *********************************
	if ($adasponsor == 1) {
	$dbsponsor=$tampilsponsor[1];
	$dbnamasponsor=$tampilsponsor[3];
    mysql_free_result($lihatsponsor);
// ************************************* Proses Auto Spillover Upline dan Posisi ***********************
	$upli = spillover("random", $dbsponsor);
// ********************************** jika Auto Spillover Upline Berhasil ******************************
if ($upli!=''){ 
	$dbnamaupline = $db->dataku("nama", $upli);
	$posisi = spillover("pos", $dbsponsor);
// ********************************** jika Auto Spillover Posisi Berhasil ******************************
if ($posisi!=''){ 
	$sponsore = $dbsponsor;
	$id = $dbsponsor;
	$username = $idmlmcard;
// ********************************** gENERATE SPILLOVER  semua Upline *********************************
		$dbupline1= $db->dataupline("upline0", spillover("random", $sponsore));
		$dbupline2= $db->dataupline("upline1", spillover("random", $sponsore));
		$dbupline3= $db->dataupline("upline2", spillover("random", $sponsore));
		$dbupline4= $db->dataupline("upline3", spillover("random", $sponsore));
		$dbupline5= $db->dataupline("upline4", spillover("random", $sponsore));
		$dbupline6= $db->dataupline("upline5", spillover("random", $sponsore));
		$dbupline7= $db->dataupline("upline6", spillover("random", $sponsore));
		$dbupline8= $db->dataupline("upline7", spillover("random", $sponsore));
		$dbupline9= $db->dataupline("upline8", spillover("random", $sponsore));
		$dbupline10= $db->dataupline("upline9", spillover("random", $sponsore));
		$dbupline11= $db->dataupline("upline10", spillover("random", $sponsore));
		$dbupline12= $db->dataupline("upline11", spillover("random", $sponsore));
		$dbupline13= $db->dataupline("upline12", spillover("random", $sponsore));
		$dbupline14= $db->dataupline("upline13", spillover("random", $sponsore));
		$dbupline15= $db->dataupline("upline14", spillover("random", $sponsore));
		$dbupline16= $db->dataupline("upline15", spillover("random", $sponsore));
		$dbupline17= $db->dataupline("upline16", spillover("random", $sponsore));
		$dbupline18= $db->dataupline("upline17", spillover("random", $sponsore));
		$dbupline19= $db->dataupline("upline18", spillover("random", $sponsore));
		$dbupline20= $db->dataupline("upline19", spillover("random", $sponsore));
echo "<br /><br />";
include "form.php";

// test aja	
//  echo"<font color='red'><b>Variabel post Serial & PIN kartu :</b></font><br />";
//  echo"serial : $serialcardpec<br />";
//	echo"pin : $pincardpec<br />";
//	echo"<font color='red'><b>[DB] Ambil Jumlah row dalam pencarian kartu :</b></font><br />";
//	echo"Ditemukan $adaserialpin data dalam database<br />";
//	echo"<font color='red'><b>Tambah Variabel tanggal hari ini :</b></font><br />";
//	echo"tanggal : $tanggal<br />";
//	echo"<font color='red'><b>[DB] Tampilkan semua data pada tabel kartu :</b></font><br />";
//	echo"id row : $idcard<br />";
//	echo"serial dalam db : $serialcard<br />";
//	echo"PIN dalam db : $pincard<br />";
//	echo"idmlm dalam db : $idmlmcard<br />";
//	echo"status dalam db : $status<br />";
//	echo"tanggal generate dalam db : $tanggalgeneratecard<br />";
//	echo"tanggal aktivasi dalam db : $tglaktivasicard<br />";
//	echo"dealer card dalam db : $dealercard<br />";
//	echo"<font color='red'><b>Variabel post Sponsor, Upline dan posisi :</b></font><br />";
//	echo"sponsor : $sppecanda<br />";
//	echo"<font color='red'><b>[DB] Tampilkan data Sponsor, Upline dan posisi dari database :</b></font><br />";
//	echo"sponsor dalam db: $dbsponsor<br />";
//	echo"Nama Sponsor dalam DB = $dbnamasponsor<br />";
//	echo"<font color='red'><b>[DB] Hasil Auto Spillover Sponsor Upline dan Posisi:</b></font><br />";
//	echo"sponsor auto Spillover dalam db: $sponsore<br />";
//	echo"Upline 0 auto Spillover dalam db: $upli<br />";
//	echo"Nama Upline dalam db : $dbnamaupline<br />";
//	echo"Posisi auto Spillover dalam db: $posisi<br />";
//	echo"Upline-1 fix dalam db: $dbupline1<br />";
//	echo"Upline-2 fix dalam db: $dbupline2<br />";
//	echo"Upline-3 fix dalam db: $dbupline3<br />";
//	echo"Upline-4 fix dalam db: $dbupline4<br />";
//	echo"Upline-5 fix dalam db: $dbupline5<br />";
//	echo"Upline-6 fix dalam db: $dbupline6<br />";
//	echo"Upline-7 fix dalam db: $dbupline7<br />";
//	echo"Upline-8 fix dalam db: $dbupline8<br />";
//	echo"Upline-9 fix dalam db: $dbupline9<br />";
//	echo"Upline-10 fix dalam db: $dbupline10<br />";
//	echo"Upline-11 fix dalam db: $dbupline11<br />";
//	echo"Upline-12 fix dalam db: $dbupline12<br />";
//	echo"Upline-13 fix dalam db: $dbupline13<br />";
//	echo"Upline-14 fix dalam db: $dbupline14<br />";
//	echo"Upline-15 fix dalam db: $dbupline15<br />";
//	echo"Upline-16 fix dalam db: $dbupline16<br />";
//	echo"Upline-17 fix dalam db: $dbupline17<br />";
//	echo"Upline-18 fix dalam db: $dbupline18<br />";
//	echo"Upline-19 fix dalam db: $dbupline18<br />";
//	echo"Upline-20 fix dalam db: $dbupline20<br />";
//	echo "'\$id' = $id<br />";
//	echo "'\$off' = $off<br />";
// end test aja
	}

// ********************************** jika Auto Spillover Posisi Gagal *******************************
	else {
	$textpesan=$isipesan[12];
	echo "$tampilpesanerroratas";
	echo "$textpesan";
	echo "$tampilpesanerrorbawah";
	echo"$pageregistrasiawal";
	}
	
	}
// ********************************** jika Auto Spillover Upline Gagal *******************************
	else {
	$textpesan=$isipesan[12];
	echo "$tampilpesanerroratas";
	echo "$textpesan";
	echo "$tampilpesanerrorbawah";
	echo"$pageregistrasiawal";
	}
	
	}
// ***************************** jika post sponsor tidak  sama dengan DB *****************************
	else {
	$textpesan=$isipesan[6];
	echo "$tampilpesanerroratas";
	echo "$textpesan";
	echo "$tampilpesanerrorbawah";
	echo"$pageregistrasiawal";
	}
	
	}
// ************************************ jika post sponsor kosong ************************************
	else {
	$textpesan=$isipesan[5];
	echo "$tampilpesanerroratas";
	echo "$textpesan";
	echo "$tampilpesanerrorbawah";
	echo"$pageregistrasiawal";
	}
	
	}
// *************************** jika data SERIAL & PIN sudah dipakai **********************************
	else {
	$textpesan=$isipesan[2];
	echo "$tampilpesanerroratas";
	echo "$textpesan";
	echo "$tampilpesanerrorbawah";
	echo"$pageregistrasiawal";
	}
	
	}
// ********************************* jika data SERIAL & PIN tidak SAMA *******************************
	else {
	$textpesan=$isipesan[4];
	echo "$tampilpesanerroratas";
	echo "$textpesan";
	echo "$tampilpesanerrorbawah";
	echo"$pageregistrasiawal";
}
	}
// ************************************ jika post PIN kosong ***************************************
		else {
	$textpesan=$isipesan[3];
	echo "$tampilpesanerroratas";
	echo "$textpesan";
	echo "$tampilpesanerrorbawah";
	echo"$pageregistrasiawal";
	}
	
	}
// ************************************ jika post serial kosong ***********************************
	else {
	$textpesan=$isipesan[1];
	echo "$tampilpesanerroratas";
	echo "$textpesan";
	echo "$tampilpesanerrorbawah";
	echo"$pageregistrasiawal";
	}

?>
